// Code generated by protoc-gen-go. DO NOT EDIT.
// source: comstar.proto

package nghinhut_comstar

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	any "github.com/golang/protobuf/ptypes/any"
	duration "github.com/golang/protobuf/ptypes/duration"
	empty "github.com/golang/protobuf/ptypes/empty"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Event_Type int32

const (
	Event_LOG                   Event_Type = 0
	Event_SMS_CREATION          Event_Type = 10
	Event_SMS_STATUS_CHANGES    Event_Type = 11
	Event_RUNNER_STATUS_CHANGES Event_Type = 20
)

var Event_Type_name = map[int32]string{
	0:  "LOG",
	10: "SMS_CREATION",
	11: "SMS_STATUS_CHANGES",
	20: "RUNNER_STATUS_CHANGES",
}

var Event_Type_value = map[string]int32{
	"LOG":                   0,
	"SMS_CREATION":          10,
	"SMS_STATUS_CHANGES":    11,
	"RUNNER_STATUS_CHANGES": 20,
}

func (x Event_Type) String() string {
	return proto.EnumName(Event_Type_name, int32(x))
}

func (Event_Type) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{1, 0}
}

type Log_Level int32

const (
	Log_DEBUG Log_Level = 0
	Log_INFO  Log_Level = 1
	Log_WARN  Log_Level = 2
	Log_ERROR Log_Level = 3
	Log_TRACE Log_Level = 4
)

var Log_Level_name = map[int32]string{
	0: "DEBUG",
	1: "INFO",
	2: "WARN",
	3: "ERROR",
	4: "TRACE",
}

var Log_Level_value = map[string]int32{
	"DEBUG": 0,
	"INFO":  1,
	"WARN":  2,
	"ERROR": 3,
	"TRACE": 4,
}

func (x Log_Level) String() string {
	return proto.EnumName(Log_Level_name, int32(x))
}

func (Log_Level) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{2, 0}
}

type Sms_Type int32

const (
	Sms_OUTGOING Sms_Type = 0
	Sms_INCOMING Sms_Type = 1
)

var Sms_Type_name = map[int32]string{
	0: "OUTGOING",
	1: "INCOMING",
}

var Sms_Type_value = map[string]int32{
	"OUTGOING": 0,
	"INCOMING": 1,
}

func (x Sms_Type) String() string {
	return proto.EnumName(Sms_Type_name, int32(x))
}

func (Sms_Type) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{3, 0}
}

type Sms_Status int32

const (
	Sms_CREATED Sms_Status = 0
	Sms_QUEUED  Sms_Status = 2
	Sms_RUNNING Sms_Status = 4
	Sms_SUCCESS Sms_Status = 8
	Sms_ERROR   Sms_Status = 16
)

var Sms_Status_name = map[int32]string{
	0:  "CREATED",
	2:  "QUEUED",
	4:  "RUNNING",
	8:  "SUCCESS",
	16: "ERROR",
}

var Sms_Status_value = map[string]int32{
	"CREATED": 0,
	"QUEUED":  2,
	"RUNNING": 4,
	"SUCCESS": 8,
	"ERROR":   16,
}

func (x Sms_Status) String() string {
	return proto.EnumName(Sms_Status_name, int32(x))
}

func (Sms_Status) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{3, 1}
}

type HealthCheckResponse_ServingStatus int32

const (
	HealthCheckResponse_UNKNOWN     HealthCheckResponse_ServingStatus = 0
	HealthCheckResponse_SERVING     HealthCheckResponse_ServingStatus = 1
	HealthCheckResponse_NOT_SERVING HealthCheckResponse_ServingStatus = 2
)

var HealthCheckResponse_ServingStatus_name = map[int32]string{
	0: "UNKNOWN",
	1: "SERVING",
	2: "NOT_SERVING",
}

var HealthCheckResponse_ServingStatus_value = map[string]int32{
	"UNKNOWN":     0,
	"SERVING":     1,
	"NOT_SERVING": 2,
}

func (x HealthCheckResponse_ServingStatus) String() string {
	return proto.EnumName(HealthCheckResponse_ServingStatus_name, int32(x))
}

func (HealthCheckResponse_ServingStatus) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{5, 0}
}

type SubscriptionRequest struct {
	EventTypes           []Event_Type       `protobuf:"varint,1,rep,packed,name=event_types,json=eventTypes,proto3,enum=nghinhut.comstar.Event_Type" json:"event_types,omitempty"`
	Since                *duration.Duration `protobuf:"bytes,2,opt,name=since,proto3" json:"since,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *SubscriptionRequest) Reset()         { *m = SubscriptionRequest{} }
func (m *SubscriptionRequest) String() string { return proto.CompactTextString(m) }
func (*SubscriptionRequest) ProtoMessage()    {}
func (*SubscriptionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{0}
}

func (m *SubscriptionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubscriptionRequest.Unmarshal(m, b)
}
func (m *SubscriptionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubscriptionRequest.Marshal(b, m, deterministic)
}
func (m *SubscriptionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubscriptionRequest.Merge(m, src)
}
func (m *SubscriptionRequest) XXX_Size() int {
	return xxx_messageInfo_SubscriptionRequest.Size(m)
}
func (m *SubscriptionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SubscriptionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SubscriptionRequest proto.InternalMessageInfo

func (m *SubscriptionRequest) GetEventTypes() []Event_Type {
	if m != nil {
		return m.EventTypes
	}
	return nil
}

func (m *SubscriptionRequest) GetSince() *duration.Duration {
	if m != nil {
		return m.Since
	}
	return nil
}

type Event struct {
	Type                 Event_Type          `protobuf:"varint,1,opt,name=type,proto3,enum=nghinhut.comstar.Event_Type" json:"type,omitempty"`
	Metadata             map[string]*any.Any `protobuf:"bytes,2,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Data                 *any.Any            `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *Event) Reset()         { *m = Event{} }
func (m *Event) String() string { return proto.CompactTextString(m) }
func (*Event) ProtoMessage()    {}
func (*Event) Descriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{1}
}

func (m *Event) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Event.Unmarshal(m, b)
}
func (m *Event) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Event.Marshal(b, m, deterministic)
}
func (m *Event) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Event.Merge(m, src)
}
func (m *Event) XXX_Size() int {
	return xxx_messageInfo_Event.Size(m)
}
func (m *Event) XXX_DiscardUnknown() {
	xxx_messageInfo_Event.DiscardUnknown(m)
}

var xxx_messageInfo_Event proto.InternalMessageInfo

func (m *Event) GetType() Event_Type {
	if m != nil {
		return m.Type
	}
	return Event_LOG
}

func (m *Event) GetMetadata() map[string]*any.Any {
	if m != nil {
		return m.Metadata
	}
	return nil
}

func (m *Event) GetData() *any.Any {
	if m != nil {
		return m.Data
	}
	return nil
}

type Log struct {
	Message              string   `protobuf:"bytes,10,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Log) Reset()         { *m = Log{} }
func (m *Log) String() string { return proto.CompactTextString(m) }
func (*Log) ProtoMessage()    {}
func (*Log) Descriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{2}
}

func (m *Log) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Log.Unmarshal(m, b)
}
func (m *Log) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Log.Marshal(b, m, deterministic)
}
func (m *Log) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Log.Merge(m, src)
}
func (m *Log) XXX_Size() int {
	return xxx_messageInfo_Log.Size(m)
}
func (m *Log) XXX_DiscardUnknown() {
	xxx_messageInfo_Log.DiscardUnknown(m)
}

var xxx_messageInfo_Log proto.InternalMessageInfo

func (m *Log) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type Sms struct {
	Id                   uint64               `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	NumberId             uint32               `protobuf:"varint,2,opt,name=number_id,json=numberId,proto3" json:"number_id,omitempty"`
	Message              string               `protobuf:"bytes,3,opt,name=message,proto3" json:"message,omitempty"`
	RecipientNumber      string               `protobuf:"bytes,4,opt,name=recipient_number,json=recipientNumber,proto3" json:"recipient_number,omitempty"`
	Type                 Sms_Type             `protobuf:"varint,5,opt,name=type,proto3,enum=nghinhut.comstar.Sms_Type" json:"type,omitempty"`
	Status               Sms_Status           `protobuf:"varint,10,opt,name=status,proto3,enum=nghinhut.comstar.Sms_Status" json:"status,omitempty"`
	StartTime            *timestamp.Timestamp `protobuf:"bytes,11,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	EndTime              *timestamp.Timestamp `protobuf:"bytes,12,opt,name=end_time,json=endTime,proto3" json:"end_time,omitempty"`
	CreatedAt            *timestamp.Timestamp `protobuf:"bytes,13,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *Sms) Reset()         { *m = Sms{} }
func (m *Sms) String() string { return proto.CompactTextString(m) }
func (*Sms) ProtoMessage()    {}
func (*Sms) Descriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{3}
}

func (m *Sms) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Sms.Unmarshal(m, b)
}
func (m *Sms) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Sms.Marshal(b, m, deterministic)
}
func (m *Sms) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Sms.Merge(m, src)
}
func (m *Sms) XXX_Size() int {
	return xxx_messageInfo_Sms.Size(m)
}
func (m *Sms) XXX_DiscardUnknown() {
	xxx_messageInfo_Sms.DiscardUnknown(m)
}

var xxx_messageInfo_Sms proto.InternalMessageInfo

func (m *Sms) GetId() uint64 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *Sms) GetNumberId() uint32 {
	if m != nil {
		return m.NumberId
	}
	return 0
}

func (m *Sms) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *Sms) GetRecipientNumber() string {
	if m != nil {
		return m.RecipientNumber
	}
	return ""
}

func (m *Sms) GetType() Sms_Type {
	if m != nil {
		return m.Type
	}
	return Sms_OUTGOING
}

func (m *Sms) GetStatus() Sms_Status {
	if m != nil {
		return m.Status
	}
	return Sms_CREATED
}

func (m *Sms) GetStartTime() *timestamp.Timestamp {
	if m != nil {
		return m.StartTime
	}
	return nil
}

func (m *Sms) GetEndTime() *timestamp.Timestamp {
	if m != nil {
		return m.EndTime
	}
	return nil
}

func (m *Sms) GetCreatedAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreatedAt
	}
	return nil
}

// HealthCheck
type HealthCheckRequest struct {
	Service              string   `protobuf:"bytes,1,opt,name=service,proto3" json:"service,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HealthCheckRequest) Reset()         { *m = HealthCheckRequest{} }
func (m *HealthCheckRequest) String() string { return proto.CompactTextString(m) }
func (*HealthCheckRequest) ProtoMessage()    {}
func (*HealthCheckRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{4}
}

func (m *HealthCheckRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HealthCheckRequest.Unmarshal(m, b)
}
func (m *HealthCheckRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HealthCheckRequest.Marshal(b, m, deterministic)
}
func (m *HealthCheckRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HealthCheckRequest.Merge(m, src)
}
func (m *HealthCheckRequest) XXX_Size() int {
	return xxx_messageInfo_HealthCheckRequest.Size(m)
}
func (m *HealthCheckRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_HealthCheckRequest.DiscardUnknown(m)
}

var xxx_messageInfo_HealthCheckRequest proto.InternalMessageInfo

func (m *HealthCheckRequest) GetService() string {
	if m != nil {
		return m.Service
	}
	return ""
}

type HealthCheckResponse struct {
	Status               HealthCheckResponse_ServingStatus `protobuf:"varint,1,opt,name=status,proto3,enum=nghinhut.comstar.HealthCheckResponse_ServingStatus" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                          `json:"-"`
	XXX_unrecognized     []byte                            `json:"-"`
	XXX_sizecache        int32                             `json:"-"`
}

func (m *HealthCheckResponse) Reset()         { *m = HealthCheckResponse{} }
func (m *HealthCheckResponse) String() string { return proto.CompactTextString(m) }
func (*HealthCheckResponse) ProtoMessage()    {}
func (*HealthCheckResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_9a9c1fe56b3bd224, []int{5}
}

func (m *HealthCheckResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HealthCheckResponse.Unmarshal(m, b)
}
func (m *HealthCheckResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HealthCheckResponse.Marshal(b, m, deterministic)
}
func (m *HealthCheckResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HealthCheckResponse.Merge(m, src)
}
func (m *HealthCheckResponse) XXX_Size() int {
	return xxx_messageInfo_HealthCheckResponse.Size(m)
}
func (m *HealthCheckResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_HealthCheckResponse.DiscardUnknown(m)
}

var xxx_messageInfo_HealthCheckResponse proto.InternalMessageInfo

func (m *HealthCheckResponse) GetStatus() HealthCheckResponse_ServingStatus {
	if m != nil {
		return m.Status
	}
	return HealthCheckResponse_UNKNOWN
}

func init() {
	proto.RegisterEnum("nghinhut.comstar.Event_Type", Event_Type_name, Event_Type_value)
	proto.RegisterEnum("nghinhut.comstar.Log_Level", Log_Level_name, Log_Level_value)
	proto.RegisterEnum("nghinhut.comstar.Sms_Type", Sms_Type_name, Sms_Type_value)
	proto.RegisterEnum("nghinhut.comstar.Sms_Status", Sms_Status_name, Sms_Status_value)
	proto.RegisterEnum("nghinhut.comstar.HealthCheckResponse_ServingStatus", HealthCheckResponse_ServingStatus_name, HealthCheckResponse_ServingStatus_value)
	proto.RegisterType((*SubscriptionRequest)(nil), "nghinhut.comstar.SubscriptionRequest")
	proto.RegisterType((*Event)(nil), "nghinhut.comstar.Event")
	proto.RegisterMapType((map[string]*any.Any)(nil), "nghinhut.comstar.Event.MetadataEntry")
	proto.RegisterType((*Log)(nil), "nghinhut.comstar.Log")
	proto.RegisterType((*Sms)(nil), "nghinhut.comstar.Sms")
	proto.RegisterType((*HealthCheckRequest)(nil), "nghinhut.comstar.HealthCheckRequest")
	proto.RegisterType((*HealthCheckResponse)(nil), "nghinhut.comstar.HealthCheckResponse")
}

func init() { proto.RegisterFile("comstar.proto", fileDescriptor_9a9c1fe56b3bd224) }

var fileDescriptor_9a9c1fe56b3bd224 = []byte{
	// 885 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x55, 0x5b, 0x6e, 0xdb, 0x46,
	0x14, 0x15, 0x45, 0xbd, 0x7c, 0x25, 0x39, 0xc4, 0xc4, 0x4d, 0x69, 0x25, 0x68, 0x0d, 0xa2, 0x29,
	0xd4, 0x7e, 0xd0, 0x86, 0xd2, 0x02, 0x4d, 0xd0, 0x7e, 0xc8, 0x34, 0xed, 0x08, 0xb1, 0x49, 0x67,
	0x48, 0xc5, 0x5f, 0x85, 0x40, 0x91, 0x53, 0x89, 0x88, 0xf8, 0x28, 0x67, 0x68, 0x40, 0x0b, 0xe8,
	0x36, 0xba, 0x8c, 0x6e, 0xa3, 0xfb, 0xe8, 0x02, 0xfa, 0x5d, 0xcc, 0x90, 0x72, 0xad, 0x87, 0xeb,
	0x7e, 0xe4, 0x8f, 0x73, 0xcf, 0xb9, 0x77, 0xce, 0x7d, 0xcc, 0x25, 0x74, 0xfd, 0x24, 0xa2, 0xcc,
	0xcb, 0xf4, 0x34, 0x4b, 0x58, 0x82, 0x94, 0x78, 0x36, 0x0f, 0xe3, 0x79, 0xce, 0xf4, 0xd2, 0xde,
	0x7b, 0x31, 0x4b, 0x92, 0xd9, 0x82, 0x1c, 0x7b, 0x69, 0x78, 0xec, 0xc5, 0x71, 0xc2, 0x3c, 0x16,
	0x26, 0x31, 0x2d, 0xf8, 0xbd, 0xc3, 0x12, 0x15, 0xa7, 0x69, 0xfe, 0xcb, 0xb1, 0x17, 0x2f, 0x4b,
	0xe8, 0xf9, 0x26, 0x44, 0xa2, 0x94, 0xad, 0xc0, 0x2f, 0x36, 0xc1, 0x20, 0xcf, 0x44, 0xe0, 0x12,
	0xff, 0x72, 0x13, 0x67, 0x61, 0x44, 0x28, 0xf3, 0xa2, 0xb4, 0x20, 0x68, 0xbf, 0x49, 0xf0, 0xd4,
	0xc9, 0xa7, 0xd4, 0xcf, 0xc2, 0x94, 0xfb, 0x61, 0xf2, 0x6b, 0x4e, 0x28, 0x43, 0x3f, 0x41, 0x9b,
	0xdc, 0x92, 0x98, 0x4d, 0xd8, 0x32, 0x25, 0x54, 0x95, 0x8e, 0xe4, 0xfe, 0xfe, 0xe0, 0x85, 0xbe,
	0x99, 0x96, 0x6e, 0x72, 0x92, 0xee, 0x2e, 0x53, 0x82, 0x41, 0x38, 0xf0, 0x4f, 0x8a, 0x8e, 0xa1,
	0x4e, 0xc3, 0xd8, 0x27, 0x6a, 0xf5, 0x48, 0xea, 0xb7, 0x07, 0x87, 0x7a, 0xa1, 0x43, 0x5f, 0xe9,
	0xd0, 0xcf, 0x4a, 0x9d, 0xb8, 0xe0, 0x69, 0x7f, 0x56, 0xa1, 0x2e, 0x62, 0xa1, 0x13, 0xa8, 0xf1,
	0x3b, 0x55, 0xe9, 0x48, 0x7a, 0xf4, 0x4a, 0xc1, 0x44, 0x43, 0x68, 0x45, 0x84, 0x79, 0x81, 0xc7,
	0x3c, 0xb5, 0x7a, 0x24, 0xf7, 0xdb, 0x83, 0x97, 0x0f, 0x79, 0x5d, 0x95, 0x3c, 0x33, 0x66, 0xd9,
	0x12, 0xdf, 0xb9, 0xa1, 0x3e, 0xd4, 0x84, 0xbb, 0x2c, 0xe4, 0x1e, 0x6c, 0xc9, 0x1d, 0xc6, 0x4b,
	0x2c, 0x18, 0xbd, 0xf7, 0xd0, 0x5d, 0x0b, 0x82, 0x14, 0x90, 0x3f, 0x92, 0xa5, 0x90, 0xbb, 0x87,
	0xf9, 0x27, 0xfa, 0x16, 0xea, 0xb7, 0xde, 0x22, 0x5f, 0x25, 0xbf, 0x3b, 0x5a, 0x41, 0x79, 0x53,
	0xfd, 0x41, 0xd2, 0x5c, 0xa8, 0xf1, 0x6c, 0x50, 0x13, 0xe4, 0x4b, 0xfb, 0x42, 0xa9, 0x20, 0x05,
	0x3a, 0xce, 0x95, 0x33, 0x31, 0xb0, 0x39, 0x74, 0x47, 0xb6, 0xa5, 0x00, 0x7a, 0x06, 0x88, 0x5b,
	0x1c, 0x77, 0xe8, 0x8e, 0x9d, 0x89, 0xf1, 0x76, 0x68, 0x5d, 0x98, 0x8e, 0xd2, 0x46, 0x87, 0xf0,
	0x19, 0x1e, 0x5b, 0x96, 0x89, 0x37, 0xa1, 0x03, 0xed, 0x67, 0x90, 0x2f, 0x93, 0x19, 0x52, 0xa1,
	0x19, 0x11, 0x4a, 0xbd, 0x19, 0x51, 0x41, 0x48, 0x5c, 0x1d, 0xb5, 0x1f, 0xa1, 0x7e, 0x49, 0x6e,
	0xc9, 0x02, 0xed, 0x41, 0xfd, 0xcc, 0x3c, 0x1d, 0xf3, 0x9b, 0x5b, 0x50, 0x1b, 0x59, 0xe7, 0xb6,
	0x22, 0xf1, 0xaf, 0x9b, 0x21, 0xb6, 0x94, 0x2a, 0x87, 0x4d, 0x8c, 0x6d, 0xac, 0xc8, 0xfc, 0xd3,
	0xc5, 0x43, 0xc3, 0x54, 0x6a, 0xda, 0xdf, 0x32, 0xc8, 0x4e, 0x44, 0xd1, 0x3e, 0x54, 0xc3, 0x40,
	0x64, 0x5f, 0xc3, 0xd5, 0x30, 0x40, 0xcf, 0x61, 0x2f, 0xce, 0xa3, 0x29, 0xc9, 0x26, 0x61, 0x20,
	0x0a, 0xd0, 0xc5, 0xad, 0xc2, 0x30, 0x0a, 0xee, 0x8b, 0x91, 0xd7, 0xc4, 0xa0, 0x6f, 0x40, 0xc9,
	0x88, 0x1f, 0xa6, 0x21, 0x9f, 0xb9, 0x82, 0xaf, 0xd6, 0x04, 0xe5, 0xc9, 0x9d, 0xdd, 0x12, 0x66,
	0xa4, 0x97, 0x03, 0x52, 0x17, 0x03, 0xd2, 0xdb, 0x6e, 0xb5, 0x13, 0xd1, 0xfb, 0xe3, 0xf1, 0x1d,
	0x34, 0x28, 0xf3, 0x58, 0x4e, 0x45, 0x01, 0x76, 0x8e, 0x14, 0xf7, 0x70, 0x04, 0x07, 0x97, 0x5c,
	0xf4, 0x1a, 0x80, 0x43, 0x6c, 0xc2, 0x5f, 0x8c, 0xda, 0x16, 0x9d, 0xec, 0x6d, 0x75, 0xd2, 0x5d,
	0x3d, 0x27, 0xbc, 0x27, 0xd8, 0xfc, 0x8c, 0xbe, 0x87, 0x16, 0x89, 0x83, 0xc2, 0xb1, 0xf3, 0xa8,
	0x63, 0x93, 0xc4, 0x81, 0x70, 0x7b, 0x0d, 0xe0, 0x67, 0xc4, 0x63, 0x24, 0x98, 0x78, 0x4c, 0xed,
	0x3e, 0x7e, 0x63, 0xc9, 0x1e, 0x32, 0x4d, 0x2b, 0x27, 0xa8, 0x03, 0x2d, 0x7b, 0xec, 0x5e, 0xd8,
	0x23, 0x8b, 0x37, 0xb3, 0x03, 0xad, 0x91, 0x65, 0xd8, 0x57, 0xfc, 0x24, 0x69, 0xe7, 0xd0, 0x28,
	0x52, 0x44, 0x6d, 0x68, 0x8a, 0xd1, 0x32, 0xcf, 0x94, 0x0a, 0x02, 0x68, 0xbc, 0x1f, 0x9b, 0x63,
	0xf3, 0x4c, 0xa9, 0x72, 0x80, 0x4f, 0x13, 0xe7, 0xd7, 0xf8, 0xc1, 0x19, 0x1b, 0x86, 0xe9, 0x38,
	0x4a, 0xeb, 0xdf, 0x19, 0x50, 0x34, 0x1d, 0xd0, 0x5b, 0xe2, 0x2d, 0xd8, 0xdc, 0x98, 0x13, 0xff,
	0xe3, 0x6a, 0x5f, 0xa8, 0xd0, 0xa4, 0x24, 0xbb, 0x0d, 0x7d, 0x52, 0xbe, 0x84, 0xd5, 0x51, 0xfb,
	0x5d, 0x82, 0xa7, 0x6b, 0x0e, 0x34, 0x4d, 0x62, 0x4a, 0xd0, 0xbb, 0xbb, 0xb6, 0x14, 0x2f, 0xfd,
	0xd5, 0x76, 0x5b, 0x76, 0xb8, 0xe9, 0x0e, 0x0f, 0x1b, 0xcf, 0xd6, 0xbb, 0xa5, 0xbd, 0x81, 0xee,
	0x1a, 0xc0, 0xd5, 0x8f, 0xad, 0x77, 0x96, 0x7d, 0x63, 0x29, 0x15, 0x91, 0x8a, 0x89, 0x3f, 0x88,
	0x3a, 0xa0, 0x27, 0xd0, 0xb6, 0x6c, 0x77, 0xb2, 0x32, 0x54, 0x07, 0x7f, 0x49, 0xd0, 0x34, 0x8a,
	0x1b, 0xd1, 0x39, 0x74, 0xc4, 0xa2, 0xa0, 0xd7, 0xf9, 0xd4, 0xc9, 0xa7, 0xe8, 0xf3, 0x07, 0x16,
	0x49, 0xef, 0x21, 0x40, 0xab, 0xf4, 0xa5, 0x13, 0x09, 0x61, 0xe8, 0xdc, 0xdf, 0xaa, 0x68, 0xc7,
	0x42, 0xda, 0xb1, 0x75, 0xff, 0x23, 0xea, 0x89, 0x84, 0x0c, 0xd8, 0xbf, 0xce, 0xa7, 0x8b, 0x90,
	0xce, 0x87, 0x71, 0xb1, 0x2a, 0x1f, 0x54, 0xf7, 0x6c, 0x6b, 0x6c, 0x4c, 0xfe, 0xd3, 0xd0, 0x2a,
	0x83, 0x3f, 0x24, 0x68, 0x14, 0x65, 0x45, 0x2e, 0xd4, 0x45, 0x69, 0xd1, 0x57, 0x8f, 0x54, 0xbe,
	0xd0, 0xf6, 0xf2, 0x7f, 0xf5, 0x07, 0x7d, 0x80, 0xfa, 0x8d, 0xc7, 0xfc, 0xf9, 0x27, 0x8d, 0x7a,
	0x22, 0x9d, 0x7e, 0x0d, 0x07, 0x7e, 0x12, 0x6d, 0xb1, 0x4f, 0x3b, 0x65, 0xeb, 0xae, 0x79, 0xa6,
	0xd7, 0xd2, 0xb4, 0x21, 0x52, 0x7e, 0xf5, 0x4f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x63, 0xfb, 0x54,
	0x4e, 0x91, 0x07, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// ComstarClient is the client API for Comstar service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ComstarClient interface {
	// Event RPCs
	EventsPubSub(ctx context.Context, opts ...grpc.CallOption) (Comstar_EventsPubSubClient, error)
	Subscription(ctx context.Context, in *SubscriptionRequest, opts ...grpc.CallOption) (Comstar_SubscriptionClient, error)
	PublishAnEvent(ctx context.Context, in *Event, opts ...grpc.CallOption) (*empty.Empty, error)
}

type comstarClient struct {
	cc *grpc.ClientConn
}

func NewComstarClient(cc *grpc.ClientConn) ComstarClient {
	return &comstarClient{cc}
}

func (c *comstarClient) EventsPubSub(ctx context.Context, opts ...grpc.CallOption) (Comstar_EventsPubSubClient, error) {
	stream, err := c.cc.NewStream(ctx, &_Comstar_serviceDesc.Streams[0], "/nghinhut.comstar.Comstar/EventsPubSub", opts...)
	if err != nil {
		return nil, err
	}
	x := &comstarEventsPubSubClient{stream}
	return x, nil
}

type Comstar_EventsPubSubClient interface {
	Send(*Event) error
	Recv() (*Event, error)
	grpc.ClientStream
}

type comstarEventsPubSubClient struct {
	grpc.ClientStream
}

func (x *comstarEventsPubSubClient) Send(m *Event) error {
	return x.ClientStream.SendMsg(m)
}

func (x *comstarEventsPubSubClient) Recv() (*Event, error) {
	m := new(Event)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *comstarClient) Subscription(ctx context.Context, in *SubscriptionRequest, opts ...grpc.CallOption) (Comstar_SubscriptionClient, error) {
	stream, err := c.cc.NewStream(ctx, &_Comstar_serviceDesc.Streams[1], "/nghinhut.comstar.Comstar/Subscription", opts...)
	if err != nil {
		return nil, err
	}
	x := &comstarSubscriptionClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type Comstar_SubscriptionClient interface {
	Recv() (*Event, error)
	grpc.ClientStream
}

type comstarSubscriptionClient struct {
	grpc.ClientStream
}

func (x *comstarSubscriptionClient) Recv() (*Event, error) {
	m := new(Event)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *comstarClient) PublishAnEvent(ctx context.Context, in *Event, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/nghinhut.comstar.Comstar/PublishAnEvent", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ComstarServer is the server API for Comstar service.
type ComstarServer interface {
	// Event RPCs
	EventsPubSub(Comstar_EventsPubSubServer) error
	Subscription(*SubscriptionRequest, Comstar_SubscriptionServer) error
	PublishAnEvent(context.Context, *Event) (*empty.Empty, error)
}

// UnimplementedComstarServer can be embedded to have forward compatible implementations.
type UnimplementedComstarServer struct {
}

func (*UnimplementedComstarServer) EventsPubSub(srv Comstar_EventsPubSubServer) error {
	return status.Errorf(codes.Unimplemented, "method EventsPubSub not implemented")
}
func (*UnimplementedComstarServer) Subscription(req *SubscriptionRequest, srv Comstar_SubscriptionServer) error {
	return status.Errorf(codes.Unimplemented, "method Subscription not implemented")
}
func (*UnimplementedComstarServer) PublishAnEvent(ctx context.Context, req *Event) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PublishAnEvent not implemented")
}

func RegisterComstarServer(s *grpc.Server, srv ComstarServer) {
	s.RegisterService(&_Comstar_serviceDesc, srv)
}

func _Comstar_EventsPubSub_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(ComstarServer).EventsPubSub(&comstarEventsPubSubServer{stream})
}

type Comstar_EventsPubSubServer interface {
	Send(*Event) error
	Recv() (*Event, error)
	grpc.ServerStream
}

type comstarEventsPubSubServer struct {
	grpc.ServerStream
}

func (x *comstarEventsPubSubServer) Send(m *Event) error {
	return x.ServerStream.SendMsg(m)
}

func (x *comstarEventsPubSubServer) Recv() (*Event, error) {
	m := new(Event)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func _Comstar_Subscription_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(SubscriptionRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(ComstarServer).Subscription(m, &comstarSubscriptionServer{stream})
}

type Comstar_SubscriptionServer interface {
	Send(*Event) error
	grpc.ServerStream
}

type comstarSubscriptionServer struct {
	grpc.ServerStream
}

func (x *comstarSubscriptionServer) Send(m *Event) error {
	return x.ServerStream.SendMsg(m)
}

func _Comstar_PublishAnEvent_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Event)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ComstarServer).PublishAnEvent(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nghinhut.comstar.Comstar/PublishAnEvent",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ComstarServer).PublishAnEvent(ctx, req.(*Event))
	}
	return interceptor(ctx, in, info, handler)
}

var _Comstar_serviceDesc = grpc.ServiceDesc{
	ServiceName: "nghinhut.comstar.Comstar",
	HandlerType: (*ComstarServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "PublishAnEvent",
			Handler:    _Comstar_PublishAnEvent_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "EventsPubSub",
			Handler:       _Comstar_EventsPubSub_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
		{
			StreamName:    "Subscription",
			Handler:       _Comstar_Subscription_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "comstar.proto",
}

// HealthClient is the client API for Health service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type HealthClient interface {
	Check(ctx context.Context, in *HealthCheckRequest, opts ...grpc.CallOption) (*HealthCheckResponse, error)
	Watch(ctx context.Context, in *HealthCheckRequest, opts ...grpc.CallOption) (Health_WatchClient, error)
}

type healthClient struct {
	cc *grpc.ClientConn
}

func NewHealthClient(cc *grpc.ClientConn) HealthClient {
	return &healthClient{cc}
}

func (c *healthClient) Check(ctx context.Context, in *HealthCheckRequest, opts ...grpc.CallOption) (*HealthCheckResponse, error) {
	out := new(HealthCheckResponse)
	err := c.cc.Invoke(ctx, "/nghinhut.comstar.Health/Check", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *healthClient) Watch(ctx context.Context, in *HealthCheckRequest, opts ...grpc.CallOption) (Health_WatchClient, error) {
	stream, err := c.cc.NewStream(ctx, &_Health_serviceDesc.Streams[0], "/nghinhut.comstar.Health/Watch", opts...)
	if err != nil {
		return nil, err
	}
	x := &healthWatchClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type Health_WatchClient interface {
	Recv() (*HealthCheckResponse, error)
	grpc.ClientStream
}

type healthWatchClient struct {
	grpc.ClientStream
}

func (x *healthWatchClient) Recv() (*HealthCheckResponse, error) {
	m := new(HealthCheckResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// HealthServer is the server API for Health service.
type HealthServer interface {
	Check(context.Context, *HealthCheckRequest) (*HealthCheckResponse, error)
	Watch(*HealthCheckRequest, Health_WatchServer) error
}

// UnimplementedHealthServer can be embedded to have forward compatible implementations.
type UnimplementedHealthServer struct {
}

func (*UnimplementedHealthServer) Check(ctx context.Context, req *HealthCheckRequest) (*HealthCheckResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Check not implemented")
}
func (*UnimplementedHealthServer) Watch(req *HealthCheckRequest, srv Health_WatchServer) error {
	return status.Errorf(codes.Unimplemented, "method Watch not implemented")
}

func RegisterHealthServer(s *grpc.Server, srv HealthServer) {
	s.RegisterService(&_Health_serviceDesc, srv)
}

func _Health_Check_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HealthCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(HealthServer).Check(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nghinhut.comstar.Health/Check",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(HealthServer).Check(ctx, req.(*HealthCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Health_Watch_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(HealthCheckRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(HealthServer).Watch(m, &healthWatchServer{stream})
}

type Health_WatchServer interface {
	Send(*HealthCheckResponse) error
	grpc.ServerStream
}

type healthWatchServer struct {
	grpc.ServerStream
}

func (x *healthWatchServer) Send(m *HealthCheckResponse) error {
	return x.ServerStream.SendMsg(m)
}

var _Health_serviceDesc = grpc.ServiceDesc{
	ServiceName: "nghinhut.comstar.Health",
	HandlerType: (*HealthServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Check",
			Handler:    _Health_Check_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "Watch",
			Handler:       _Health_Watch_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "comstar.proto",
}
